//	Debilitation.h - The wave of debilitation emitted by Capitalists.
//  ----------------------------------------------------------------------------
//	This file is part of 'The Future Will Only Be Dystopian if Capitalism
//	Remains Undefeated', a game.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef DEBILITATION_H_
#define DEBILITATION_H_

#include <stdint.h>

class Drawer;

///	The wave of debilitation emitted by Capitalists.
class Debilitation
{
  public:
	///	Constructor.
	Debilitation(int x, int y, float val);
	///	Desctructor.
	~Debilitation();

	///	Updates the wave's size, returns true when it's time to delete the object.
	bool move();
	///	Draws the wave.
	void draw(Drawer *d);

	///	Returns the wave's position.
	int getX() const {return xPos+256;};
	///	Returns the wave's position.
	int getY() const {return yPos+256;};
	///	Returns the wave's strength.
	float getStrength() const {return strength;};
  private:
	///	The wave's image.
	static uint32_t image;

	///	The wave's position.
	int xPos;
	///	The wave's position.
	int yPos;
	///	The wave's strength.
	float strength;
	///	The wave's size.
	float size;
};

#endif
