//	PlayerBehaviour.h - The behaviour for the player-controlled Prole.
//  ----------------------------------------------------------------------------
//	This file is part of 'The Future Will Only Be Dystopian if Capitalism
//	Remains Undefeated', a game.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef PLAYERBEHAVIOUR_H_
#define PLAYERBEHAVIOUR_H_

#include "Prole.h"

#include "SDL.h"

///	The behaviour for the player-controlled Prole.
class PlayerBehaviour : public ProleBehaviour
{
  public:
	///	Constructor.
	PlayerBehaviour();
	///	Destructor.
	~PlayerBehaviour();

	///	Moves the Prole.
	void act(Prole *p, GamePlay *gp);

	///	Updates our key positions.
	void keyDown(const SDL_keysym& keyPressed);
	///	Updates our key positions.
	void keyUp(const SDL_keysym& keyPressed);
  private:
	///	If the left key is down.
	bool leftIsDown;
	///	If the right key is down.
	bool rightIsDown;
	///	If the up key is down.
	bool upIsDown;
	///	If the down key is down.
	bool downIsDown;

	///	Whether the player just pressed the 'action' button.
	bool doAction;
};

#endif
