//	PoliceBehaviour.h - The behaviour of police officers.
//  ----------------------------------------------------------------------------
//	This file is part of 'The Future Will Only Be Dystopian if Capitalism
//	Remains Undefeated', a game.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef POLICEBEHAVIOUR_H_
#define POLICEBEHAVIOUR_H_

#include "Prole.h"

///	The behaviour of police officers.
class PoliceBehaviour : public ProleBehaviour
{
  public:
	///	Constructor.
	PoliceBehaviour();
	///	Destructor.
	~PoliceBehaviour();

	///	Moves the Prole.
	void act(Prole *p, GamePlay *gp);

	///	The number of Police currently active.
	static int numPolice;
  private:
	///	Used to flash the Prole blue like a siren.
	float lightVal;
};

#endif
