//	WorkerBehaviour.h - The default behaviour for the Prole class.
//  ----------------------------------------------------------------------------
//	This file is part of 'The Future Will Only Be Dystopian if Capitalism
//	Remains Undefeated', a game.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef WORKERBEHAVIOUR_H_
#define WORKERBEHAVIOUR_H_

#include "Prole.h"

///	The default behaviour for the Prole class.
class WorkerBehaviour : public ProleBehaviour
{
  public:
	///	Constructor.
	WorkerBehaviour();
	///	Destructor.
	~WorkerBehaviour();

	///	Moves the Prole.
	void act(Prole *p, GamePlay *gp);
  private:
	///	The Prole's current direction.
	float xDir;
	///	The Prole's current direction.
	float yDir;
	///	The Prole's intended direction.
	float xIntendedDir;
	///	The Prole's intended direction.
	float yIntendedDir;

	///	Used to work out when to change direction.
	int changeCount;
};

#endif
