//	CriticalSection.cpp - Simple class representing a critical section.
//  ----------------------------------------------------------------------------

#include "CriticalSection.h"
#include "FatalError.h"

#include "SDL_thread.h"
#include <iostream>
#include <sstream>

using namespace std;

//------------------------------------------------------------------------------
CriticalSection::CriticalSection():
semaphore(0)
{
	semaphore = SDL_CreateSemaphore(1);
	if(!semaphore)
		cout << "Critical Section: Could not create semaphore!" << endl;
}

//------------------------------------------------------------------------------
CriticalSection::~CriticalSection()
{
	if(semaphore)
		SDL_DestroySemaphore(semaphore);
}

//------------------------------------------------------------------------------
bool CriticalSection::lock()
{
	if(semaphore)
		return SDL_SemWait(semaphore) == 0;
	else
		return false;
}

//------------------------------------------------------------------------------
void CriticalSection::unlock()
{
	SDL_SemPost(semaphore);
}
