//	FatalError.h - Exception class representing a fatal error.
//  ----------------------------------------------------------------------------

#ifndef FATALERROR_H_
#define FATALERROR_H_

#include <string>

///	Exception class representing a fatal error.
class FatalError
{
  public:
	///	Constructor.
	/*!
		\param message The message to be displayed, explaining what went wrong.
	 */
	FatalError(const std::string& message);
	///	Destructor.
	~FatalError();

	///	Outputs the error message to the command line.
	void display();
  private:
	///	The error message passed in to the constructor.
	std::string errorMessage;
};

#endif
