//	Thread.cpp - Simple thread base class.
//  ----------------------------------------------------------------------------

#include "Thread.h"

#include "SDL_thread.h"
#include <sstream>
#include <iostream>

using namespace std;

//------------------------------------------------------------------------------
Thread::Thread():
thread(0)
{
	
}

//------------------------------------------------------------------------------
Thread::~Thread()
{
	if(thread)
		SDL_WaitThread(thread, NULL);
}

//------------------------------------------------------------------------------
void Thread::startThread(Thread *threadPointer)
{
	if(!thread)
	{
		thread = SDL_CreateThread(threadMethod,
								  static_cast<void *>(threadPointer));
		if(!thread)
			cout << "Could not create thread.  Assuming this is a fatal error..." << endl;
	}
}

//------------------------------------------------------------------------------
int Thread::threadMethod(void *data)
{
	Thread *thread = static_cast<Thread *>(data);

	if(thread->run())
		return 1;
	else
		return 0;
}
