//	IntroState.h - The intro text as a game state.
//  ----------------------------------------------------------------------------
//	This file is part of 'The Future Will Only Be Dystopian if Capitalism
//	Remains Undefeated', a game.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef INTROSTATE_H_
#define INTROSTATE_H_

#include "GameState.h"

#include <stdint.h>

///	The intro text as a game state.
class IntroState : public GameState
{
  public:
	///	Constructor.
	IntroState(Application *app);
	///	Destructor.
	~IntroState();

	///	Draws the text.
	void draw(Drawer *d);

	///	Moves onto the next text/state.
	void keyDown(const SDL_keysym& keyPressed);
	///	Moves onto the next text/state.
	void mouseDown(int button, int posX, int posY);

	///	This state's name.
	const std::string getName() const {return "IntroState";};
  private:
	///	The 3 text screens.
	uint32_t text[3];

	///	Which screen we're currently displaying.
	int currentText;
};

#endif
